Commits

Florent Xicluna  committed 2a2e1a7

Upgrade requirements to pep8 1.4.3 and mccabe 0.2

  • Participants
  • Parent commits 8885f46
  • Branches flint-merge

Comments (0)

Files changed (2)

 CHANGES
 =======
 
-2.0.0 - 2013-01-xx
+2.0.0 - 2013-02-xx
 ------------------
 
 - Fixes #13: pep8 and pyflakes are now external dependencies
 - New feature: Install git and hg hooks automagically
 - By relying on pyflakes (0.6.1), we also fixed #45 and #35
 
+
 1.7.0 - 2012-12-21
 ------------------
 
 - Fix the git hook
 - Update pep8.py to the latest version
 
+
 1.6.2 - 2012-11-25
 ------------------
 
 - fixed an assumption about warnings/error messages that caused an exception 
   to be thrown when McCabe is used
 
+
 1.6 - 2012-11-16
 ----------------
 
 - fixed crash on non-existant file (#38)
 
 
-
 1.5 - 2012-10-13
 ----------------
 
 - allow three argument form of raise
 - now uses setuptools if available, for 'develop' command
 
+
 1.0 - 2011-11-29
 ----------------
 
 - update pep8 version to 0.6.1
 - mccabe check: gracefully handle compile failure
 
+
 0.8 - 2011-02-27
 ----------------
 
     install_requires=[
         "setuptools",
         "pyflakes >= 0.6.1",
-        "pep8 >= 1.4.2",
-        "mccabe >= 0.2a0",
+        "pep8 >= 1.4.3",
+        "mccabe >= 0.2",
     ],
     entry_points={
         'distutils.commands': ['flake8 = flake8.main:Flake8Command'],